Subject: Re: [bug#31687] [PATCH] services: Add dnsmasq-service-type.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 08 Jun 2018 21:37:00 +0200

[email-masked] (宋文武) skribis:

> [email-masked] (Ludovic Courtès) writes:

[...]

>> Minor issues:
>>
>>   • The general guideline is to avoid abbreviations in identifiers—we’re
>>     using the language that comes with ‘call-with-current-continuation’,
>>     after all.  ;-)
>>
>>   • Another guideline is to avoid double-negations and the likes.
>>
>> So in this example, I would recommend:
>>
>>   ‘negative-caching?’ (default: #t)
>>
>
> Agree, I like this naming guideline, pushed :-)

Thank you!

>> I think there’s a couple of other abbreviations.
>
> It’s not clear to me whether other options are abbreviations or not or
> worth to expand.  eg: ‘no-hosts?’ and ‘no-resolv?’, they’re refer to the
> well-known ‘/etc/hosts’ and ‘/etc/resolv.conf’ files, what could we use
> instead?

Oh you’re right, these are fine.

Ludo’.